## ros-rolling-rosidl-generator-cpp 3.0.1

=== debian/changelog ===
ros-rolling-rosidl-generator-cpp (3.0.1-1focal) focal; urgency=high

  * Fix include order for cpplint (#644 <https://github.com/ros2/rosidl/issues/644>)
  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Jacob Perron, Øystein Sture

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.0.0-1focal) focal; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 05 Nov 2021 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.5.0-1focal) focal; urgency=high

  * Support flow style YAML printing (#613 <https://github.com/ros2/rosidl/issues/613>)
  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Relocate to_yaml() under message namespace (#609 <https://github.com/ros2/rosidl/issues/609>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Aug 2021 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.4.0-1focal) focal; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 12 Jul 2021 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.3.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jun 2021 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.2.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.2.0-1focal) focal; urgency=high

  * Expose C++ code generation via rosidl generate CLI (#570 <https://github.com/ros2/rosidl/issues/570>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.1.0-1focal) focal; urgency=high

  * Switch to std::allocator_traits. (#564 <https://github.com/ros2/rosidl/issues/564>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.2-1focal) focal; urgency=high

  * Remove unnecessary assert on pointer created with new (#555 <https://github.com/ros2/rosidl/issues/555>)
  * Use ASSERT_TRUE to check for nullptr. (#543 <https://github.com/ros2/rosidl/issues/543>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.0.0-1focal) focal; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Sep 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (1.1.0-1focal) focal; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Declaring is_message in namespace rosidl_generator_traits (#512 <https://github.com/ros2/rosidl/issues/512>)
  * Contributors: Jacob Perron, Sebastian Höffner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 17 Aug 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.9.1-1focal) focal; urgency=high

  * move test which only uses rosidl_runtime_cpp into that package (#481 <https://github.com/ros2/rosidl/issues/481>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.9.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#473 <https://github.com/ros2/rosidl/issues/473>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Only export ament_cmake_core instead of ament_cmake (#459 <https://github.com/ros2/rosidl/issues/459>)
  * Rename rosidl_namespace_cpp namespace (#456 <https://github.com/ros2/rosidl/issues/456>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Add a utility for rigorously initializing a message instance (#448 <https://github.com/ros2/rosidl/issues/448>)
  * Avoid setter for empty struct dummy member (#455 <https://github.com/ros2/rosidl/issues/455>)
  * Code style only: wrap after open parenthesis if not in one line (#435 <https://github.com/ros2/rosidl/issues/435>)
  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Grey

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-rolling-rosidl-generator-cpp (0.8.2-1focal) focal; urgency=high




