## ros-rolling-rosidl-generator-cpp 4.4.0

=== debian/changelog ===
ros-rolling-rosidl-generator-cpp (4.4.0-1jammy) jammy; urgency=high

  * Add rosidl_find_package_idl helper function (#754 <https://github.com/ros2/rosidl/issues/754>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.3.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.3.0-1jammy) jammy; urgency=high

  * Fixed visibility control file added to wrong header list variable. (#755 <https://github.com/ros2/rosidl/issues/755>)
  * Contributors: Stefan Fabian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.2.0-1jammy) jammy; urgency=high

  * Fix deprecation warnings for message constants (#750 <https://github.com/ros2/rosidl/issues/750>)
  * Generate typesupport declarations for actions, messages and services (#703 <https://github.com/ros2/rosidl/issues/703>)
  * Contributors: Emerson Knapp, Stefan Fabian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.1.1-1jammy) jammy; urgency=high

  * Fix IWYU for clangd in C and C++ (#742 <https://github.com/ros2/rosidl/issues/742>)
  * Contributors: Alexis Paques

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (4.0.0-1jammy) jammy; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.4.0-1jammy) jammy; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.3.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.3.0-1jammy) jammy; urgency=high

  * Move rosidl_generator_c/cpp tests to a separate package (#701 <https://github.com/ros2/rosidl/issues/701>)
  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>)
  * Contributors: Jacob Perron, Silvio Traversaro

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 08 Sep 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 21 Jun 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.1-1jammy) jammy; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.1.0-1jammy) jammy; urgency=high

  * Add missing build_export_depend dependency (#665 <https://github.com/ros2/rosidl/issues/665>)
  * Fix bug where rosidl_runtime_cpp wasn't depended upon (#660 <https://github.com/ros2/rosidl/issues/660>)
  * Contributors: Jorge Perez, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.0.1-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#644 <https://github.com/ros2/rosidl/issues/644>)
  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Jacob Perron, Øystein Sture

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (3.0.0-1jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 05 Nov 2021 00:00:00 -0000

ros-rolling-rosidl-generator-cpp (2.5.0-1jammy) jammy; urgency=high

  * Support flow style YAML printing (#613 <https://github.com/ros2/rosidl/issues/613>)
  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Relocate to_yaml() under message namespace (#609 <https://github.com/ros2/rosidl/issues/609>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 00:00:00 -0000


